### Function

# Adw SpringParamsnew_full

#### Declaration [src]

    AdwSpringParams*
    adw_spring_params_new_full (
      double damping,
      double mass,
      double stiffness
    )

#### Description [src]

Creates a new `AdwSpringParams` from `mass`, `stiffness` and `damping`.

See `adw_spring_params_new()` for a simplified constructor using damping ratio instead of `damping`.

#### Parameters

`damping`

  Type: `double`

  The damping of the spring.

`mass`

  Type: `double`

  The mass of the spring.

`stiffness`

  Type: `double`

  The stiffness of the spring.

#### Return value

Type: `AdwSpringParams`

The newly created spring parameters.

The caller of the function takes ownership of the data, and is responsible for freeing it.